GET
List deposits and withdrawals

Authorizations

x-api-key
string
header
required

Your API key. Keys are issued on request: message @perp_ag on X.

Path Parameters

owner
string
required

The wallet: an account index on Lighter and RH Lighter, a Solana address on Jupiter, Phoenix and Bullet, an account object id (0x + 64 hex) on Aftermath.

Query Parameters

platform
enum<string>
required

Venue. See Venues and identifiers.

Available options:
LIGHTER,
RHLT,
JUPITER,
PHOENIX,
BULLET,
AFTERMATH
event_type
enum<string>

Only this event type.

Available options:
deposit,
withdraw,
transfer,
vault_mint,
vault_burn
sort_order
enum<string>
default:desc

Sort by time.

Available options:
asc,
desc
limit
integer
default:25

Rows per page.

Required range: 1 <= x <= 1000
offset
integer
default:0

Rows to skip.

Required range: x >= 0

Response

Success

status
enum<string>
required
Available options:
success
data
object[]
required
summary
object
pagination
object